/*********************** SunDst ***********************
 *                       ======                       *
 * Calculate:                                         *
 *  - calcSun([time_t]):                              *
 *      Sunrise and Sunset on Latitude-Longitude.     *
 *  - calcDst([time_t]):                              *
 *      Daylight Saving Time (DST) (Worldwide)        *
 *      on Timezone and +/-Latitude (N/S hemisphere). *
 *      The rules are easy to modify in SunDst.h.     *
 * UTC and Local Time.                                *
 *      Calculate always with a UTC time!             *
 * UNIX timestamp() function included.                *
 * Included:                                          *
 *  - yearDay() and leapyear().                       *
 *  - oneHour, oneDay and oneWeek in seconds.         *
 *  - (Deg)toRad and (Rad)toDeg.                      *
 * Use SunDstDemo.ino as a guideline.                 *
 * -------------------------------------------------- *
 * SunDst is not writen as a real library,            *
 *    so you can easily change this code.             *
 * Use sun.h/ino and dst.h/ino as regular INO files.  *
 ******************************************************
 * Ewald Kendziorra sr, 2016, http://kendziorra.nl    *
 * License:       Free                                *
 * Publishing HS: Only with this header file          *
 * Editing:       Free                                *
 * Guarantee:     No                                  *
 * Using:         At your own risk                    *
 * Support:       No                                  *
 ******************************************************/

