/************************** SunDst ***************************
 * by Ewald Kendziorra sr, 2016 www.kendziorra.nl            * 
 * Before you start: read the SunDst information in "info.h" *
 *************************************************************/

/** Source:
 *  Almanac for Computers, 1990
 *  published by Nautical Almanac Office
 *  United States Naval Observatory
 *  Washington, DC 20392
 *  Adapted by Ewald Kendziorra sr, www.kendziorra.nl
 **/

#ifndef SUN_RISE_SET
#define SUN_RISE_SET

// Public
void calcSun();        // rise and set times
void calcSun(time_t);  // rise and set times

uint8_t sunRiseHour, sunRiseMinute, sunSetHour, sunSetMinute;  // use this after calcSun() or calcSun(time_t)

// Private (but: you can use it Public)
float sunTime(uint16_t, boolean);  // calc decimal time (calcSun(time_t) use this function)

#endif

